Bug 611453 - Drops to text mode when battery runs out
Drops to text mode when battery runs out
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
Depends On:
Blocks: F14Target
  Show dependency treegraph
Reported: 2010-07-05 06:41 EDT by Bastien Nocera
Modified: 2014-03-16 23:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-06-29 09:59:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2010-07-05 06:41:12 EDT
1. Suspend running laptop to RAM
2. Don't wake it up until it runs out of battery
3. There's no backup battery, so the clock is out of sync
4. Plug in power, and boot machine
5. Be dropped to the command-line on boot with the system requiring command-line tweaking to reset the system clock

The machine is a MacbookAir1,1, and it does not have a backup battery for the clock itself. When running out of battery, the date/time is lost, and reset to the 1st Jan 2001. Ext4, on boot, will complain that the previous mount date is in the future and refuse to carry on.

Instead of dropping to the command-line, and asking me for a root password, I should be asked for the date and time, probably in some semi-graphical mode in plymouth, or even be asked at GDM or login time (if automatic login was selected).

Given that I have NTP setup, it should probably never even ask me anything, and figure out the right date by itself.
Comment 1 Bill Nottingham 2010-07-06 12:46:52 EDT
Well, this is before you have a network, so NTP can't really help. I'm trying to figure out how you'd guess this information without either constantly storing the time locally, or keeping track of various machine's epoch date for comparison.
Comment 2 Bug Zapper 2011-06-01 10:42:59 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2011-06-29 09:59:37 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.